org.apache.calcite.avatica.proto

## Class Responses.RpcMetadata.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<Responses.RpcMetadata.Builder>
      - - org.apache.calcite.avatica.proto.Responses.RpcMetadata.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, Responses.RpcMetadataOrBuilder

Enclosing class:
  Responses.RpcMetadata

    public static final class Responses.RpcMetadata.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<Responses.RpcMetadata.Builder>
    implements Responses.RpcMetadataOrBuilder

     Generic metadata for the server to return with each response.

Protobuf type `RpcMetadata`

### Field Summary

Fields
`private Object` `serverAddress_`

### Constructor Summary

Constructors
`private` `Builder()`
`private` `Builder(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Responses.RpcMetadata.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Responses.RpcMetadata` `build()`
`Responses.RpcMetadata` `buildPartial()`
`Responses.RpcMetadata.Builder` `clear()`
`Responses.RpcMetadata.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`Responses.RpcMetadata.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`Responses.RpcMetadata.Builder` `clearServerAddress()` The host:port of the server
`Responses.RpcMetadata.Builder` `clone()`
`Responses.RpcMetadata` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`String` `getServerAddress()` The host:port of the server
`com.google.protobuf.ByteString` `getServerAddressBytes()` The host:port of the server
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`private void` `maybeForceBuilderInitialization()`
`Responses.RpcMetadata.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`Responses.RpcMetadata.Builder` `mergeFrom(com.google.protobuf.Message other)`
`Responses.RpcMetadata.Builder` `mergeFrom(Responses.RpcMetadata other)`
`Responses.RpcMetadata.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`Responses.RpcMetadata.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Responses.RpcMetadata.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`Responses.RpcMetadata.Builder` `setServerAddress(String value)` The host:port of the server
`Responses.RpcMetadata.Builder` `setServerAddressBytes(com.google.protobuf.ByteString value)` The host:port of the server
`Responses.RpcMetadata.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Field Detail

#### serverAddress_

    private Object serverAddress_

### Constructor Detail

#### Builder

    private Builder()

#### Builder

    private Builder(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.RpcMetadata.Builder>`

#### maybeForceBuilderInitialization

    private void maybeForceBuilderInitialization()

#### clear

    public Responses.RpcMetadata.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.RpcMetadata.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.RpcMetadata.Builder>`

#### getDefaultInstanceForType

    public Responses.RpcMetadata getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public Responses.RpcMetadata build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public Responses.RpcMetadata buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public Responses.RpcMetadata.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.RpcMetadata.Builder>`

#### setField

    public Responses.RpcMetadata.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                  Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.RpcMetadata.Builder>`

#### clearField

    public Responses.RpcMetadata.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.RpcMetadata.Builder>`

#### clearOneof

    public Responses.RpcMetadata.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.RpcMetadata.Builder>`

#### setRepeatedField

    public Responses.RpcMetadata.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                          int index,
                                                          Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.RpcMetadata.Builder>`

#### addRepeatedField

    public Responses.RpcMetadata.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                          Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.RpcMetadata.Builder>`

#### mergeFrom

    public Responses.RpcMetadata.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Responses.RpcMetadata.Builder>`

#### mergeFrom

    public Responses.RpcMetadata.Builder mergeFrom(Responses.RpcMetadata other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.RpcMetadata.Builder>`

#### mergeFrom

    public Responses.RpcMetadata.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                            throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Responses.RpcMetadata.Builder>`
Throws:
  `IOException`

#### getServerAddress

    public String getServerAddress()

     The host:port of the server

`string server_address = 1;`

Specified by:
  `getServerAddress` in interface `Responses.RpcMetadataOrBuilder`

#### getServerAddressBytes

    public com.google.protobuf.ByteString getServerAddressBytes()

     The host:port of the server

`string server_address = 1;`

Specified by:
  `getServerAddressBytes` in interface `Responses.RpcMetadataOrBuilder`

#### setServerAddress

    public Responses.RpcMetadata.Builder setServerAddress(String value)

     The host:port of the server

`string server_address = 1;`

#### clearServerAddress

    public Responses.RpcMetadata.Builder clearServerAddress()

     The host:port of the server

`string server_address = 1;`

#### setServerAddressBytes

    public Responses.RpcMetadata.Builder setServerAddressBytes(com.google.protobuf.ByteString value)

     The host:port of the server

`string server_address = 1;`

#### setUnknownFields

    public final Responses.RpcMetadata.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.RpcMetadata.Builder>`

#### mergeUnknownFields

    public final Responses.RpcMetadata.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.RpcMetadata.Builder>`